## visad.data.vis5d
Class Vis5DVerticalSystem

    java.lang.Object
      visad.data.vis5d.Vis5DVerticalSystem

public class Vis5DVerticalSystem
extends Object

Class for encapsulating the Vis5D vertical system as VisAD MathTypes and Data objects

Nested Class Summary
`static class` `Vis5DVerticalSystem.Vis5DVerticalCoordinateSystem` Vis5DVerticalCoordinateSystem is the VisAD class for coordinate systems for transforming pressure in millibars to Altitude in m.

Field Summary
`(package private) RealTupleType` `reference` Reference RealTupleType for the CoordinateSystem
`(package private) CoordinateSystem` `vert_cs` CoordinateSystem to transform to Reference values
`(package private) RealType` `vert_type` RealType of the vertical system parameter
`(package private) Unit` `vert_unit` Unit used for the vertical system
`(package private) SampledSet` `vertSet` Sampled Set of values

Constructor Summary
`Vis5DVerticalSystem(int vert_sys, int n_levels, double[] vert_args)` Construct the VisAD MathTypes and Data objects that relate to the Vis5D vertical system parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vert_unit

    Unit vert_unit

  Unit used for the vertical system

### vertSet

    SampledSet vertSet

  Sampled Set of values

### vert_type

    RealType vert_type

  RealType of the vertical system parameter

### vert_cs

    CoordinateSystem vert_cs

  CoordinateSystem to transform to Reference values

### reference

    RealTupleType reference

  Reference RealTupleType for the CoordinateSystem

Constructor Detail

### Vis5DVerticalSystem

    public Vis5DVerticalSystem(int vert_sys,
                               int n_levels,
                               double[] vert_args)
                        throws VisADException

  Construct the VisAD MathTypes and Data objects that relate to the Vis5D vertical system parameters.

Parameters:
  `vert_sys` - Vis5D vertical System
  `n_levels` - number of levels in vert_args
  `vert_args` - array of vertical level values
Throws:
  `VisADException` - unknown vert_sys or problem creating VisAD objects.
See Also:
  `for explanation of vertical coordinates.`